
Robotics Systems Commons - Tasks #1443
Check pkg-config
02/27/2013 04:57 PM - Anonymous

Status: Resolved Start date: 02/27/2013
Priority: Normal Due date:
Assignee: S. Wrede % Done: 100%
Category: Estimated time: 1.00 hour
Target version: rsb-0.9
Description

Continuously check pkg-config on the CI server

Related issues:
Related to Robot Control Interface - Tasks # 1486: Check pkgconfig Closed 05/06/2013

Associated revisions
Revision c02111db - 02/27/2013 04:58 PM - Arne Nordmann 

Test script for checking pkg-config

    -  Builds simple main file with a subset of rsc sumbols, using pkg-config for configuration

refs #1443

Revision cb9af899 - 02/28/2013 04:59 PM - Arne Nordmann 

Pkg-config test now integrated into ctest

    -  pkg-config test now installs project first to a tmp folder
    -  Adapts prefix in installed pkg-config file and sets PKG_CONFIG_PATH
    -  pkg-config test added as ctest, so separate CI job for pkg-config testing can be deleted

fixes #1443

Revision 63de2bd0 - 05/21/2013 02:28 PM - Arne Nordmann 

Fixed include path for 3rdpart boost uuid export in pkgconfig file

    -  Fixed include path for 3rdpart boost uuid when shipped together with rsc
    -  generate JUnit XML result for pkgconfig test to be processable by our CI setup

refs #1443
refs #1504

Revision c52c500e - 05/22/2013 04:14 PM - J. Wienke

Do not assume a certain build layout for the pkg-config test.

refs #1443
Revision ea0b9b96 - 05/27/2013 02:23 PM - Arne Nordmann 

Fixes pkgconfig test for Mac

    -  On Mac the command 'mktemp' expects a template for the tmpdir name to create. Added this to the pkgconfig test script, since this is a legal (yet
optional) parameter on linux.

refs #1443

History
#1 - 02/27/2013 05:44 PM - Anonymous
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Done in https://ci.cor-lab.org/job/rsc-trunk-pkgconfig-test/

#2 - 02/27/2013 05:57 PM - J. Moringen
- Status changed from Resolved to Feedback

Couldn't the whole test associated with this test script be integrated via ctest?

Then, make test would just include the new test.

#3 - 02/28/2013 02:32 PM - Anonymous
- % Done changed from 100 to 50

This means, that the test will have to install the package first, but this should be possible. I will try to do this.

#4 - 02/28/2013 02:33 PM - Anonymous
- Status changed from Feedback to In Progress

#5 - 02/28/2013 05:22 PM - Anonymous
- Status changed from In Progress to Resolved
- % Done changed from 50 to 100

Applied in changeset rsc|commit:cb9af899acf1b410479c8015d5b58c9ba2ae848e.

#6 - 04/25/2013 11:28 PM - S. Wrede
- Status changed from Resolved to In Progress
- Assignee deleted (Anonymous)
- % Done changed from 100 to 50
We probably need a MacOS test for this and a switch in the CMake File that writes the complete library name in the rsc.pc.in file as the library name
formatting on MacOS seems to follow a different layout as shown in these examples:

kt  2012 libsigc-2.0.0.dylib -> ../Cellar/libsigc++/2.2.10/lib/libsigc-2.0.0.dylib
lrwxr-xr-x    1 swrede  admin    48B  2 Okt  2012 libsigc-2.0.dylib -> ../Cellar/libsigc++/2.2.10/lib/libsigc-2.0.dylib
-rw-r--r--    1 swrede  admin   186K 16 Nov 23:30 libskinDynLib.a
lrwxr-xr-x    1 swrede  admin    47B  5 Jun  2012 libslang.2.2.4.dylib -> ../Cellar/s-lang/2.2.4/lib/libslang.2.2.4.dylib
lrwxr-xr-x    1 swrede  admin    43B  5 Jun  2012 libslang.2.dylib -> ../Cellar/s-lang/2.2.4/lib/libslang.2.dylib
lrwxr-xr-x    1 swrede  admin    41B  5 Jun  2012 libslang.dylib -> ../Cellar/s-lang/2.2.4/lib/libslang.dylib
lrwxr-xr-x    1 swrede  admin    48B  8 Nov 17:06 libsoup-2.4.1.dylib -> ../Cellar/libsoup/2.38.1/lib/libsoup-2.4.1.dylib
lrwxr-xr-x    1 swrede  admin    42B  8 Nov 17:06 libsoup-2.4.a -> ../Cellar/libsoup/2.38.1/lib/libsoup-2.4.a

The same logic should be added to the other projects where we offer pc-files.

#7 - 04/25/2013 11:47 PM - J. Moringen

I think this issue is about automatically testing the generated pkg-config files.

#8 - 05/07/2013 06:15 AM - J. Moringen

Again: Wasn't this supposed to add a test which ensures that generated pkg-config files work? If so, can we close this issue and open new issues for
additional tests?

#9 - 05/21/2013 02:42 PM - Anonymous
- Status changed from In Progress to Resolved
- Assignee set to S. Wrede
- % Done changed from 50 to 100

Test was added and automatically tests pkgconfig on UNIX systems.

@Sebastian: The test also runs on the MacOS machine, it was just not evaluated by the CI job until some minutes ago. However, since #1498 is
resolved, pkgconfig should now be the same for MacOS and Linux now. Can you file an issue, if this is not the case?
